## cegui-mk2 0.8.7%2Bgit20220615

=== samples/Demo6/CMakeLists.txt ===
option(CEGUI_SAMPLES_ENABLE_DEMO6 "Specifies whether this sample should be built or not" TRUE)
if(CEGUI_SAMPLES_ENABLE_DEMO6)
    cegui_add_sample(CEGUIDemo6)
endif()

=== samples/TabControlDemo/CMakeLists.txt ===
option(CEGUI_SAMPLES_ENABLE_TABCONTROL_DEMO "Specifies whether this sample should be built or not" TRUE)
if(CEGUI_SAMPLES_ENABLE_TABCONTROL_DEMO)
    cegui_add_sample(CEGUITabControlDemo)
endif()

=== cegui/src/CommonDialogs/CMakeLists.txt ===
set (CEGUI_TARGET_NAME ${CEGUI_COMMON_DIALOGS_LIBNAME})

file (GLOB MODULE_SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.cpp)
file (GLOB COLOUR_PICKER_SOURCE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" ColourPicker/*.cpp)
set (CORE_SOURCE_FILES ${MODULE_SOURCE_FILES} ${COLOUR_PICKER_SOURCE_FILES})

file (GLOB MODULE_HEADER_FILES ../../include/CEGUI/CommonDialogs/*.h)
file (GLOB COLOUR_PICKER_HEADER_FILES ../../include/CEGUI/CommonDialogs/ColourPicker/*.h)
set (CORE_HEADER_FILES ${MODULE_HEADER_FILES} ${COLOUR_PICKER_HEADER_FILES})

# we do not use the common header install function since we need to install to
# multiple sub-dirs.
cegui_add_library_impl(${CEGUI_TARGET_NAME} FALSE CORE_SOURCE_FILES CORE_HEADER_FILES TRUE FALSE)
cegui_target_link_libraries(${CEGUI_TARGET_NAME} ${CEGUI_BASE_LIBNAME})

install(FILES ${MODULE_HEADER_FILES} DESTINATION ${CEGUI_INCLUDE_INSTALL_DIR}/CEGUI/CommonDialogs COMPONENT cegui_devel)
install(FILES ${COLOUR_PICKER_HEADER_FILES} DESTINATION ${CEGUI_INCLUDE_INSTALL_DIR}/CEGUI/CommonDialogs/ColourPicker COMPONENT cegui_devel)

=== cegui/src/ImageCodecModules/SDL2/CMakeLists.txt ===
set( CEGUI_TARGET_NAME ${CEGUI_SDL2_IMAGECODEC_LIBNAME} )

cegui_gather_files()
cegui_add_loadable_module(${CEGUI_TARGET_NAME} CORE_SOURCE_FILES CORE_HEADER_FILES)
cegui_add_dependency(${CEGUI_TARGET_NAME} SDL2 PRIVATE TRUE)
cegui_add_dependency(${CEGUI_TARGET_NAME} SDL2IMAGE PRIVATE TRUE)

cegui_target_link_libraries(${CEGUI_TARGET_NAME} ${CEGUI_BASE_LIBNAME})

=== cegui/src/RendererModules/Ogre/CMakeLists.txt ===
set (CEGUI_TARGET_NAME ${CEGUI_OGRE_RENDERER_LIBNAME})

# this prevents the boost auto-link dis-feature
add_definitions(-DBOOST_ALL_NO_LIB)

cegui_gather_files()
cegui_add_library(${CEGUI_TARGET_NAME} CORE_SOURCE_FILES CORE_HEADER_FILES)
cegui_add_dependency(${CEGUI_TARGET_NAME} OGRE PRIVATE TRUE)

cegui_target_link_libraries(${CEGUI_TARGET_NAME} ${CEGUI_BASE_LIBNAME})

if (CEGUI_FOUND_OGRE_VERSION_MAJOR GREATER 0 AND CEGUI_FOUND_OGRE_VERSION_MINOR GREATER 10)
target_compile_features(${CEGUI_TARGET_NAME} PRIVATE cxx_std_11)
endif(CEGUI_FOUND_OGRE_VERSION_MAJOR GREATER 0 AND CEGUI_FOUND_OGRE_VERSION_MINOR GREATER 10)

=== cegui/src/RendererModules/OpenGL/CMakeLists.txt ===
set (CEGUI_TARGET_NAME ${CEGUI_OPENGL_RENDERER_LIBNAME})

cegui_gather_files()

if (CEGUI_BUILD_SHARED_LIBS_WITH_STATIC_DEPENDENCIES AND CEGUI_USE_GLEW)
    add_definitions( -DGLEW_STATIC )
endif()

if (NOT APPLE OR NOT CEGUI_BUILD_RENDERER_OPENGL)
    list (REMOVE_ITEM CORE_SOURCE_FILES ApplePBTextureTarget.cpp)
    list (REMOVE_ITEM CORE_HEADER_FILES ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/ApplePBTextureTarget.h)
endif()

if (NOT WIN32 OR NOT CEGUI_BUILD_RENDERER_OPENGL)
    list (REMOVE_ITEM CORE_SOURCE_FILES WGLPBTextureTarget.cpp)
    list (REMOVE_ITEM CORE_HEADER_FILES ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/WGLPBTextureTarget.h)
endif()

if (NOT UNIX OR APPLE OR NOT CEGUI_BUILD_RENDERER_OPENGL)
    list (REMOVE_ITEM CORE_SOURCE_FILES GLXPBTextureTarget.cpp)
    list (REMOVE_ITEM CORE_HEADER_FILES ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/GLXPBTextureTarget.h)
endif()

if (NOT CEGUI_BUILD_RENDERER_OPENGL)
    list (REMOVE_ITEM CORE_SOURCE_FILES GLRenderer.cpp
                                        GLGeometryBuffer.cpp
                                        GLFBOTextureTarget.cpp)
    list (REMOVE_ITEM CORE_HEADER_FILES ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/GLRenderer.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/GLGeometryBuffer.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/GLFBOTextureTarget.h)
endif()

if (NOT CEGUI_BUILD_RENDERER_OPENGL3)
    list (REMOVE_ITEM CORE_SOURCE_FILES GL3Renderer.cpp
                                        GL3GeometryBuffer.cpp
                                        GL3FBOTextureTarget.cpp
                                        Shader.cpp
                                        ShaderManager.cpp
                                        StateChangeWrapper.cpp)
    list (REMOVE_ITEM CORE_HEADER_FILES ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/GL3Renderer.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/GL3GeometryBuffer.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/GL3FBOTextureTarget.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/Shader.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/ShaderManager.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/StateChangeWrapper.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/StandardShaderFrag.h
                                        ${CMAKE_SOURCE_DIR}/cegui/include/CEGUI/RendererModules/OpenGL/StandardShaderVert.h)
endif()

cegui_add_library(${CEGUI_TARGET_NAME} CORE_SOURCE_FILES CORE_HEADER_FILES)
if (${CEGUI_USE_EPOXY})
    cegui_add_dependency(${CEGUI_TARGET_NAME} GLM PRIVATE TRUE)
    cegui_add_dependency(${CEGUI_TARGET_NAME} EPOXY PRIVATE TRUE)
elseif (${CEGUI_USE_GLEW})
    cegui_add_dependency(${CEGUI_TARGET_NAME} GLM PRIVATE TRUE)
    cegui_add_dependency(${CEGUI_TARGET_NAME} GLEW PRIVATE TRUE)
    cegui_add_dependency(${CEGUI_TARGET_NAME} OPENGL PRIVATE TRUE)
endif ()

cegui_target_link_libraries(${CEGUI_TARGET_NAME} ${CEGUI_BASE_LIBNAME})

=== debian/control ===
Source: cegui-mk2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Olek Wojnar <olek@debian.org>,
 Muammar El Khatib <muammar@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5),
 cmake (>= 3.12.4),
 debhelper-compat (= 13),
 dh-python,
 doxygen,
 graphviz,
 jdupes,
 libboost-dev,
 libboost-python-dev,
 libboost-regex-dev,
 libdevil-dev,
 libexpat1-dev,
 libfreeimage-dev,
 libfreetype-dev,
 libfribidi-dev,
 libgl-dev,
 libglapi-mesa,
 libgles2-mesa-dev,
 libglew-dev,
 libglfw3-dev,
 libglm-dev,
 libglu1-mesa-dev,
 libice-dev,
 libirrlicht-dev,
 libjs-jquery,
 libminizip-dev,
 libogre-1.12-dev,
 libois-dev [linux-any],
 libpcre2-dev,
 libpng-dev,
 librapidxml-dev,
 libsilly-dev,
 libsm-dev,
 libtiff-dev,
 libtinyxml-dev,
 libtolua++5.1-dev (>= 1.0.93),
 libxcursor-dev,
 libxerces-c-dev,
 libxml2-dev,
 libxpm-dev,
 libxxf86vm-dev,
 lua-expat-dev,
 lua5.1,
 mesa-utils-extra,
 pkg-config,
 pyside2-tools,
 python3-dev,
 python3-opengl,
 python3-setuptools,
 pkg-kde-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.cegui.org.uk/
VcS-Browser: https://salsa.debian.org/games-team/cegui-mk2
VcS-Git: https://salsa.debian.org/games-team/cegui-mk2.git

Package: libcegui-mk2-0.8.7t64
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Depends:
 libcegui-mk2-data (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: python3-libcegui-mk2-0.8.7 (= ${binary:Version})
Breaks: libcegui-mk2-0.8.7 (<< ${source:Version}), libsilly (<< 0.1.0-6.1)
Conflicts: libcegui-mk2-0c2a, libcegui-mk2-0.8.4
Replaces: libcegui-mk2-0.8.7, libcegui-mk2-0c2a, libcegui-mk2-0.8.4
Description: Crazy Eddie's GUI (libraries)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This version of CEGUI natively supports the OpenGL rendering target.

Package: python3-libcegui-mk2-0.8.7
Section: python
Architecture: any
Multi-Arch: same
Depends:
 libcegui-mk2-0.8.7t64 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends},
 ${python3:Depends}
Breaks: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Replaces: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Description: Crazy Eddie's GUI (Python 3 Bindings)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the Python 3 bindings for the CEGUI library.

Package: libcegui-mk2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcegui-mk2-0.8.7t64 (= ${binary:Version}),
 libdevil-dev,
 libfreeimage-dev,
 libfreetype-dev,
 libjpeg-dev,
 liblcms2-dev,
 libmng-dev,
 libpcre2-dev,
 libpng-dev,
 libtiff-dev,
 libxerces-c-dev,
 lua-expat-dev,
 zlib1g-dev | libz-dev,
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: libcegui-mk2-doc (= ${source:Version})
Description: Crazy Eddie's GUI (development files)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the development files for the CEGUI library.

Package: libcegui-mk2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: Crazy Eddie's GUI (documentation)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the documentation for the CEGUI library.

Package: libcegui-mk2-data
Section: graphics
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-cegui (= ${source:Version}),
 fonts-baekmuk,
 fonts-dejavu-core,
 fonts-junicode,
 fonts-jura,
 ${misc:Depends},
Breaks: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Replaces: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Description: Crazy Eddie's GUI (data)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains data files for the CEGUI library.

Package: fonts-cegui
Section: fonts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Replaces: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Description: Crazy Eddie's GUI (fonts)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains font files for the CEGUI library that are not
 packaged separately.

Package: cegui-mk2-0.8.7
Section: graphics
Architecture: any
Enhances: libcegui-mk2-0.8.7t64 (= ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Replaces: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Description: Crazy Eddie's GUI (executables)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the executables that support using the CEGUI library.
